---
- name: Use package_manager role to rollback Debian packages
  ansible.builtin.include_role:
    name: package_manager
  vars:
    packages:
      - docker-ce
      - docker-ce-cli
      - docker-ce-rootless-extras
      - docker-scan-plugin
      - containerd.io
    package_manager_mode: remove

- name: Remove Debian Docker repository
  become: true
  ansible.builtin.apt_repository:
    repo: deb https://download.docker.com/linux/ubuntu {{ ansible_facts['distribution_release'] }} stable
    state: absent

# We can only rollback ca-certificates after the above step has finished
# because it needs ca-certificates to run
- name: Rollback ca-certificates
  ansible.builtin.include_role:
    name: ca-certificates
